## org.gnu.gtk.event
Class SpinEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.SpinEvent

All Implemented Interfaces:
  java.io.Serializable

public class SpinEvent
extends GtkEvent

An event represeting action by a `SpinButton` widget.

See Also:
  `SpinListener`, `SpinButton`, Serialized Form

Nested Class Summary
`static class` `SpinEvent.Type`

Constructor Summary
`SpinEvent(java.lang.Object source)` Creates a new Spin Event.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpinEvent

    public SpinEvent(java.lang.Object source)

  Creates a new Spin Event. This is used internally by java-gnome. Users only have to deal with listeners.